function onBegin()
getLevel().SaveQuitDisabled = true
	makeUnskippable()
	disableRetry()
    if (getFlag(arguments,true)) then
        miniTextbox(arguments)
		setFlag(arguments,false)
    end
end

function onEnd()
end